# keepAlive

Toggles TCP keep-alive probes for RELP listener sockets.

This parameter applies to imrelp: RELP Input Module.

Name:

  keepAlive

Scope:

  input

Type:

  boolean

Default:

  input=off

Required?:

  no

Introduced:

  Not documented

## Description

Enable or disable keep-alive packets at the TCP socket layer. By default keep-alive is disabled.

## Input usage

    input(type="imrelp" port="2514" keepAlive="on")

## See also

See also imrelp: RELP Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.